%{!?dist: %define dist .slc5}
Name: shibboleth-selinux
Version: 0.1
Release: 1%{?dist}
Summary: SELinux policy extensions for shibboleth daemon.
Source: %{name}-%{version}.tgz
Group: System Environment/Base
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: checkpolicy, policycoreutils
# on 7
BuildRequires: policycoreutils-python

Requires: policycoreutils, selinux-policy-targeted

%description 
SELinux policy extensions for running shibd while in enforcing mode.

%define policy_dir /usr/share/selinux/targeted

%prep
%setup -q

%build
# shibd/httpd interaction
checkmodule -M -m -o httpdshibd.mod httpdshibd.te
semodule_package -o httpdshibd.pp -m httpdshibd.mod

%install
mkdir -p $RPM_BUILD_ROOT/
mkdir -p ${RPM_BUILD_ROOT}%{policy_dir}
cp httpdshibd.pp ${RPM_BUILD_ROOT}%{policy_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{policy_dir}/httpdshibd.pp

%post
semodule -i %{policy_dir}/httpdshibd.pp
semodule -R

%postun
semodule -R



%changelog
* Mon Oct  4 2010  Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-1
- initial release
